Package org.apache.velocity.exception

# Class MacroOverflowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.velocity.exception.VelocityException
org.apache.velocity.exception.MacroOverflowException

All Implemented Interfaces:
  `Serializable`

public class MacroOverflowException extends VelocityException
Application-level exception thrown when macro calls within macro calls exceeds the maximum allowed depth. The maximum allowable depth is given in the configuration as velocimacro.max.depth.

Since:
  1.6
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MacroOverflowException(String exceptionMessage)`
`MacroOverflowException(String exceptionMessage, Throwable wrapped)`
`MacroOverflowException(String exceptionMessage, Throwable wrapped, String[] stacktrace)`
`MacroOverflowException(Throwable wrapped)`
`MacroOverflowException(Throwable wrapped, String[] stacktrace)`

## Method Summary

### Methods inherited from class org.apache.velocity.exception.VelocityException

`getVtlStackTrace, getWrappedThrowable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MacroOverflowException

public MacroOverflowException(String exceptionMessage)

Parameters:
  `exceptionMessage` - The message to register.

### MacroOverflowException

public MacroOverflowException(String exceptionMessage, Throwable wrapped)

Parameters:
  `exceptionMessage` - The message to register.
  `wrapped` - A throwable object that caused the Exception.

### MacroOverflowException

public MacroOverflowException(String exceptionMessage, Throwable wrapped, String[] stacktrace)

Parameters:
  `exceptionMessage` - The message to register.
  `wrapped` - A throwable object that caused the Exception.
  `stacktrace` - VTL stacktrace
Since:
  2.2

### MacroOverflowException

public MacroOverflowException(Throwable wrapped)

Parameters:
  `wrapped` - A throwable object that caused the Exception.

### MacroOverflowException

public MacroOverflowException(Throwable wrapped, String[] stacktrace)

Parameters:
  `wrapped` - A throwable object that caused the Exception.
  `stacktrace` - VTL stacktrace
Since:
  2.2